{
	"model": {
			"type": "composite",
			"models": [
				{
					"type": "select",
					"property": "display_context",
					"cases": [
						{
							"when": [
								"thirdperson_lefthand",
								"thirdperson_righthand"
							],
							"model": {
								"type": "empty"
							}
						}
					],
					"fallback": {
						"type": "range_dispatch",
						"property": "damage",
						"scale": 2,
						"entries": [
							{
								"threshold": 0,
								"model": {
									"type": "model",
									"model": "item/flint_and_steel/squared/flint"
								}
							},
							{
								"threshold": 1,
								"model": {
									"type": "model",
									"model": "item/flint_and_steel/squared/flint_damaged"
								}
							}
						],
						"fallback": {
							"type": "model",
							"model": "item/flint_and_steel/squared/flint"
						}
					}
				},
				{
					"type": "condition",
					"property": "selected",
					"on_true": {
						"type": "condition",
						"property": "keybind_down",
						"keybind": "key.use",
						"on_true": {
							"type": "condition",
							"property": "component",
							"predicate": "custom_data",
							"value": {
								"equipment": "netherite"
							},
							"on_true": {
								"type": "model",
								"model": "item/flint_and_steel/squared/netherite_using"
							},
							"on_false": {
								"type": "model",
								"model": "item/flint_and_steel/squared/steel_using"
							}
						},
						"on_false": {
							"type": "condition",
							"property": "component",
							"predicate": "custom_data",
							"value": {
								"equipment": "netherite"
							},
							"on_true": {
								"type": "model",
								"model": "item/flint_and_steel/squared/netherite"
							},
							"on_false": {
								"type": "model",
								"model": "item/flint_and_steel/squared/steel"
							}
						}
					},
					"on_false": {
						"type": "condition",
						"property": "component",
						"predicate": "custom_data",
						"value": {
							"equipment": "netherite"
						},
						"on_true": {
							"type": "model",
							"model": "item/flint_and_steel/squared/netherite"
						},
						"on_false": {
							"type": "model",
							"model": "item/flint_and_steel/squared/steel"
						}
					}
				}
			]
		},
	"oversized_in_gui": true
}